<!doctype html>
<base href="/">
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>DAT.me</title>
  <base href="/">

  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico">
  <script src="https://www.amcharts.com/lib/4/core.js"></script>
  <script src="https://www.amcharts.com/lib/4/charts.js"></script>
  <script src="https://www.amcharts.com/lib/4/themes/animated.js"></script>
</head>
<body>
  <app-root></app-root>
  <script>
    am4core.ready(function() {

// Themes begin
      am4core.useTheme(am4themes_animated);
// Themes end

      var chart = am4core.create("chartdiv", am4charts.XYChart);
      chart.hiddenState.properties.opacity = 0; // this creates initial fade-in

      chart.paddingRight = 30;
      chart.dateFormatter.inputDateFormat = "yyyy-MM-dd HH:mm";

      var colorSet = new am4core.ColorSet();
      colorSet.saturation = 0.4;

      chart.data = [ {
        "category": "Education",
        "start": "1981-01-01",
        "end": "1985-01-14",
        "color": colorSet.getIndex(0).brighten(0),
        "task": "Kindegarten"
      }, {
        "category": "Education",
        "start": "1985-01-16",
        "end": "1993-01-27",
        "color": colorSet.getIndex(0).brighten(0.4),
        "task": "Middle school"
      }, {
        "category": "Education",
        "start": "1993-02-05",
        "end": "1996-04-18",
        "color": colorSet.getIndex(0).brighten(0.8),
        "task": "High school"
      }, {
        "category": "Education",
        "start": "1996-04-18",
        "end": "1998-04-30",
        "color": colorSet.getIndex(0).brighten(1.2),
        "task": "Kesk-Eri"
      }, {
        "category": "Education",
        "start": "2000-04-18",
        "end": "2001-04-30",
        "color": colorSet.getIndex(0).brighten(1.2),
        "task": "Kesk-Eri"
      }, {
        "category": "Education",
        "start": "2004-04-18",
        "end": "2009-04-30",
        "color": colorSet.getIndex(0).brighten(1.2),
        "task": "University"
      }, {
        "category": "Marriage",
        "start": "2007-01-08",
        "end": "2019-05-10",
        "color": colorSet.getIndex(17).brighten(0),
        "task": "Marriage"
      }, {
        "category": "Family",
        "start": "2008-01-01",
        "end": "2019-05-10",
        "color": colorSet.getIndex(14).brighten(0),
        "task": "Child 1"
      }, {
        "category": "Family",
        "start": "2009-01-19",
        "end": "2019-05-10",
        "color": colorSet.getIndex(14).brighten(0.4),
        "task": "Child 2"
      }, {
        "category": "Residence",
        "start": "1978-01-12",
        "end": "2008-01-15",
        "color": colorSet.getIndex(12).brighten(0.4),
        "task": "Tartu"
      }, {
        "category": "Residence",
        "start": "2008-01-16",
        "end": "2019-05-10",
        "color": colorSet.getIndex(12).brighten(0.8),
        "task": "Tallinn"
      }, {
        "category": "Work",
        "start": "1998-02-10",
        "end": "2000-02-18",
        "color": colorSet.getIndex(2).brighten(1.2),
        "task": "Work 1"
      }, {
        "category": "Work",
        "start": "2000-01-02",
        "end": "2006-01-08",
        "color": colorSet.getIndex(4).brighten(0),
        "task": "Work 2"
      }, {
        "category": "Work",
        "start": "2006-01-08",
        "end": "2011-01-16",
        "color": colorSet.getIndex(4).brighten(0.4),
        "task": "Work 3"
      }, {
        "category": "Work",
        "start": "2013-01-19",
        "end": "2019-05-10",
        "color": colorSet.getIndex(4).brighten(0.8),
        "task": "Work 4"
      }, {

        "category": "Transport",
        "start": " ",
        "end": " ",
        "color": colorSet.getIndex(9).brighten(0.8),
        "task": "Development"
      }, {
        "category": "Transport",
        "start": "2004-01-02",
        "end": "2004-09-10",
        "color": colorSet.getIndex(9).brighten(0.8),
        "task": "B-category license"
      }, {
        "category": "Transport",
        "start": "2004-09-10",
        "end": "2006-01-02",
        "color": colorSet.getIndex(9).brighten(0.2),
        "task": "Audi"
      }, {
        "category": "Transport",
        "start": "2006-01-02",
        "end": "2012-01-02",
        "color": colorSet.getIndex(9).brighten(0.4),
        "task": "Audi"
      }, {
        "category": "Transport",
        "start": "2012-01-02",
        "end": "2018-01-02",
        "color": colorSet.getIndex(9).brighten(0.6),
        "task": "Ford"
      } ];

      chart.dateFormatter.dateFormat = "yyyy-MM-dd";
      chart.dateFormatter.inputDateFormat = "yyyy-MM-dd";

      var categoryAxis = chart.yAxes.push(new am4charts.CategoryAxis());
      categoryAxis.dataFields.category = "category";
      categoryAxis.renderer.grid.template.location = 0;
      categoryAxis.renderer.inversed = true;

      var dateAxis = chart.xAxes.push(new am4charts.DateAxis());
      dateAxis.renderer.minGridDistance = 70;
      dateAxis.baseInterval = { count: 1, timeUnit: "day" };
      dateAxis.max = new Date(2019, 5, 10, 24, 0, 0, 0).getTime();
      dateAxis.strictMinMax = true;
      dateAxis.renderer.tooltipLocation = 0;

      var series1 = chart.series.push(new am4charts.ColumnSeries());
      series1.columns.template.height = am4core.percent(70);
      series1.columns.template.tooltipText = "{task}: [bold]{openDateX}[/] - [bold]{dateX}[/]";

      series1.dataFields.openDateX = "start";
      series1.dataFields.dateX = "end";
      series1.dataFields.categoryY = "category";
      series1.columns.template.propertyFields.fill = "color"; // get color from data
      series1.columns.template.propertyFields.stroke = "color";
      series1.columns.template.strokeOpacity = 1;

      chart.scrollbarX = new am4core.Scrollbar();

    }); // end am4core.ready()

  </script>
</body>
</html>
